| AOMedia AV1 Codec

Data Fields
aom_roi_map Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

aom region of interest map More...

`#include <aomcx.h>`

## Data Fields
unsigned char * | roi_map
unsigned int | rows
unsigned int | cols
int | delta_q [8]
int | delta_lf [8]
unsigned int | static_threshold [8]

## Detailed Description

aom region of interest map

These defines the data structures for the region of interest map

TODO(yaowu): create a unit test for ROI map related APIs

## Field Documentation

## ◆ roi_map

unsigned char* aom_roi_map::roi_map

An id between 0 and 7 for each 8x8 region within a frame.

## ◆ rows

unsigned int aom_roi_map::rows

Number of rows.

## ◆ cols

unsigned int aom_roi_map::cols

Number of columns.

## ◆ delta_q

int aom_roi_map::delta_q[8]

Quantizer deltas.

## ◆ delta_lf

int aom_roi_map::delta_lf[8]

Loop filter deltas.

## ◆ static_threshold

unsigned int aom_roi_map::static_threshold[8]

Static breakout threshold for each segment.

The documentation for this struct was generated from the following file:

- aom/aomcx.h